<!-- ----------------------------- ค้นหา ----------------------------- -->
<div class="row">
  <div class="col-md-10">
    <label class="data-text" style="margin-top: 12px">ค้นหาข้อมูล</label>
  </div>
  <div class="col-md-2" style="margin-top: 12px">
    <label class="showsearch" (click)='showSearch()' *ngIf="this.showsearch === true">แสดงผลน้อยลง</label>
    <label class="showsearch" (click)='showSearch()' *ngIf="this.showsearch !== true">แสดงผลเพิ่มเติม</label>
  </div>
  <div class="col-md-12 rectangle-line"></div>
</div>

<div *ngIf="this.showsearch === true">
  <div class="row" style="padding-top: 30px;">
    <div class="col-md-3 select">
      <div>ชื่อผลิตภัณฑ์<a style="color: red;"> *</a></div>
      <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="product"
        (ngModelChange)="selectProduct()">
        <option value="" selected disabled>กรุณาเลือกชื่อผลิตภัณฑ์</option>
        <option *ngFor="let item of productList" value="{{item.requestId}}">{{item.productName}}
        </option>
      </select>
    </div>
    <div class="col-md-3 select">
      <div>สายงาน</div>
      <div *ngIf="divisionList_fill !== 'nondata'">
        <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division"
          (ngModelChange)="filterSelection('division',division)">
          <option *ngIf="division !== undefined" value="" selected disabled>กรุณาเลือกสายงาน</option>
          <option *ngIf="division === undefined" value=undefined selected disabled>กรุณาเลือกสายงาน</option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
          <!-- <option *ngFor="let item of divisionList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; {{item.ouName}}</option> -->
          <option *ngFor="let item of divisionList_fill" [ngValue]="item">{{item.ouName}}</option>
        </select>
      </div>
      <div *ngIf="divisionList_fill === 'nondata'">
        <select class="form-control" [(ngModel)]="division" (ngModelChange)="filterSelection('division',department)">
          <option *ngIf="division !== undefined" value="" selected disabled> - </option>
          <option *ngIf="division === undefined" value=undefined selected disabled> - </option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
        </select>
      </div>
      <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
        (ngModelChange)="filterSaechWorkgroup(department)">
        <option value="" selected disabled>กรุณาเลือกสายงาน</option>
        <option *ngFor="let item of divisionList" value="{{item.ouName}}">{{item.ouName}}</option>
      </select> -->
    </div>
    <div class=" col-md-3 select">
      <div>กลุ่มงาน</div>
      <div *ngIf="workgroupList_fill !== 'nondata'">
        <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
          (ngModelChange)="filterSelection('workgroup',workgroup)">
          <option *ngIf="workgroup !== undefined" value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
          <option *ngIf="workgroup === undefined" value=undefined selected disabled>กรุณาเลือกกลุ่มงาน</option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
          <!-- <option *ngFor="let item of workgroupList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; groupOuCode: {{item.groupOuCode}}; {{item.ouName}}</option> -->
          <option *ngFor="let item of workgroupList_fill" [ngValue]="item">{{item.ouName}}</option>
        </select>
      </div>
      <div *ngIf="workgroupList_fill === 'nondata'">
        <select class="form-control" [(ngModel)]="workgroup" (ngModelChange)="filterSelection('workgroup',workgroup)">
          <option *ngIf="workgroup !== undefined" value="" selected disabled> - </option>
          <option *ngIf="workgroup === undefined" value=undefined selected disabled> - </option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
        </select>
      </div>
      <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
        (ngModelChange)="filterSaechDepartment(workgroup)">
        <option value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
        <option *ngFor="let item of workgroupList" value="{{item.ouName}}">{{item.ouName}}</option>
      </select> -->
    </div>
    <div class="col-md-3 select">
      <div>ฝ่ายงาน</div>
      <div *ngIf="departmentList_fill !== 'nondata'">
        <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
          (ngModelChange)="filterSelection('department',department)">
          <option *ngIf="department !== undefined" value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
          <option *ngIf="department === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
          <!-- <option *ngFor="let item of departmentList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; sctrOuCode:{{item.sctrOuCode}}; groupOuCode: {{item.groupOuCode}};  {{item.ouName}}</option> -->
          <option *ngFor="let item of departmentList_fill" [ngValue]="item">{{item.ouName}}</option>
        </select>
      </div>
      <div *ngIf="departmentList_fill === 'nondata'">
        <select class="form-control" [(ngModel)]="department"
          (ngModelChange)="filterSelection('department',department)">
          <option *ngIf="department !== undefined" value="" selected disabled> - </option>
          <option *ngIf="department === undefined" value=undefined selected disabled> - </option>
          <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
        </select>
      </div>
      <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division"
        (ngModelChange)="getSearchProductReport()">
        <option value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
        <option *ngFor="let item of departmentList" value="{{item.ouName}}">{{item.ouName}}</option>ß
      </select> -->
    </div>
  </div>

  <div align="right">
    <button type="button" class="btn rectangle-search" (click)="search()">
      ค้นหา
    </button>
  </div>
</div>
<br /><br />
<!-- ----------------------------- End ค้นหา ----------------------------- -->



<!-- ----------------------------- ข้อมูลเบื้องต้น ----------------------------- -->
<div class="row" *ngIf="showInformation">
  <div class="col-md-10">
    <label class="data-text" style="margin-top: 12px">ข้อมูลเบื้องต้น</label>
  </div>
  <div class="col-md-2" style="margin-top: 12px">
    <label class="showsearch" (click)='showData()' *ngIf="this.showdata === true">แสดงผลน้อยลง</label>
    <label class="showsearch" (click)='showData()' *ngIf="this.showdata !== true">แสดงผลเพิ่มเติม</label>
  </div>
  <div class="col-md-12 rectangle-line"></div>
</div>

<div *ngIf="this.showdata === true"><br />
  <div class="header-set">
    <div class="row">
      <div class="col-3">
        <label class="text-data">ชื่อผลิตภัณฑ์</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{productName}}</label>
      </div>
      <div class="col-3">
        <label class="text-data">รหัสผลิตภัณฑ์</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{productCode}}</label>
      </div>
    </div>
    <div class="row">
      <div class="col-3">
        <label class="text-data">กลุ่มผลิตภัณฑ์</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{productGroup}}</label>
      </div>
      <div class="col-3">
        <label class="text-data">ประเภทผลิตภัณฑ์</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{productType}}</label>
      </div>
    </div>
    <div class="row">
      <div class="col-3">
        <label class="text-data">วันที่ทบทวนล่าสุด</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{lastReviewDate}}</label>
      </div>
      <div class="col-3">
        <label class="text-data">วันที่ทบทวนครั้งถัดไปก่อนวันที่</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{nextReviewDate}}</label>
      </div>
    </div>
    <div class="row">
      <div class="col-3">
        <label class="text-data">ผู้บริหารฝ่าย/ทีม</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{manager}}</label>
      </div>
      <div class="col-3">
        <label class="text-data">เบอร์โทร</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{managerTel}}</label>
      </div>
    </div>
    <div class="row">
      <div class="col-3">
        <label class="text-data">วันที่ประกาศใช้ผลิตภัณฑ์</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{promulgateDate}}</label>
      </div>
      <div class="col-3">
        <label class="text-data">หนังสือเวียนเลขที่</label>
      </div>
      <div class="col-3">
        <label class="text-data" style="word-break: break-all;">{{circularNo}}</label>
      </div>
    </div>
    <div class="row">
      <div class="col-3">
        <label class="text-data">ลงวันที่</label>
      </div>
      <div class="col-3">
        <label class="text-data">{{circularDate}}</label>
      </div>
    </div>
  </div>
</div>
<br /><br />
<!-- ----------------------------- End ข้อมูลเบื้องต้น ----------------------------- -->

<!-- ----------------------------- ประวัติการปรับปรุงผลิตภัณฑ์ ----------------------------- -->
<div class="row" *ngIf="showImprove">
  <div class="col-md-10">
    <label class="data-text" style="margin-top: 12px">ประวัติการปรับปรุงผลิตภัณฑ์</label>
  </div>
  <div class="col-md-2" style="margin-top: 12px">
    <label class="showsearch" (click)='showProduct()' *ngIf="this.showproduct === true">แสดงผลน้อยลง</label>
    <label class="showsearch" (click)='showProduct()' *ngIf="this.showproduct !== true">แสดงผลเพิ่มเติม</label>
  </div>
  <div class="col-md-12 rectangle-line"></div>
</div><br />

<div *ngIf="this.showproduct === true">
  <div class="header-set">
    <div class="table-responsives"><br />
      <table>
        <thead>
          <tr>
            <th>หัวข้อ</th>
            <th>เดิม</th>
            <th>ใหม่</th>
            <th>วันที่เสนอต่อบอร์ด PC</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let history of datahistoryproduct">
            <td class="text-left">{{history.topic}}</td>
            <td class="text-left">{{history.oldDetail}}</td>
            <td class="text-left">{{history.newDetail}}</td>
            <td>{{history.presentDate}}</td>
          </tr>
        </tbody>
      </table>
    </div><br />
  </div>
</div><br />
<!-- ----------------------------- End ประวัติการปรับปรุงผลิตภัณฑ์ ----------------------------- -->

<!-- ----------------------------- ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการ ----------------------------- -->
<div class="row" *ngIf="showIssue">
  <div class="col-md-10">
    <label class="data-text" style="margin-top: 12px">ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการ</label>
  </div>
  <div class="col-md-2" style="margin-top: 12px">
    <label class="showsearch" (click)='showOutstanding()' *ngIf="this.showoutstanding === true">แสดงผลน้อยลง</label>
    <label class="showsearch" (click)='showOutstanding()' *ngIf="this.showoutstanding !== true">แสดงผลเพิ่มเติม</label>
  </div>
  <div class="col-md-12 rectangle-line"></div>
</div><br />

<div *ngIf="this.showoutstanding === true">
  <div class="header-set">
    <div class="table-responsives"><br />
      <table>
        <thead>
          <tr>
            <th>วันที่เสนอ PC</th>
            <th>ผู้ให้ความเห็น</th>
            <th>จำนวนประเด็นคงค้าง</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let issue of dataissue">
            <td style="text-align: left;">{{issue.presentDate}}</td>
            <td>
              <div style="padding-top: 14px;padding-bottom: 14px;text-align: left;"
                *ngFor="let buComment of issue.buComment">
                {{buComment.buName}}
              </div>
            </td>
            <td>
              <div style="padding-top: 14px;padding-bottom: 14px;" *ngFor="let buComment of issue.buComment">
                {{buComment.numberOfIssue}}
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div><br />
  </div>
</div><br />
<!-- ----------------------------- End ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการ ----------------------------- -->

<!-- ----------------------------- Product Performance ----------------------------- -->
<div class="row" *ngIf="showPerformance">
  <div class="col-md-10">
    <label class="data-text" style="margin-top: 12px">Product Performance</label>
  </div>
  <div class="col-md-2" style="margin-top: 12px">
    <label class="showsearch" (click)='showProductPerformance()'
      *ngIf="this.showproductperformance === true">แสดงผลน้อยลง</label>
    <label class="showsearch" (click)='showProductPerformance()'
      *ngIf="this.showproductperformance !== true">แสดงผลเพิ่มเติม</label>
  </div>
  <div class="col-md-12 rectangle-line"></div>
</div><br />

<div *ngIf="this.showproductperformance === true">
  <div class="header-set">
    <div class="part-one-header"><br />
      <div style="width: 88%;"><a>เป้าหมาย / ตัวชี้วัด</a></div>

    </div>
    <hr class="new4" />


    <div class="table-responsives" style="overflow-x: scroll;">
      <table>
        <thead>
          <tr>
            <th rowspan="2" style="min-width: 300px;">ตัวชี้วัด</th>
            <th [attr.colspan]="years.length">เป้าหมาย</th>
            <th *ngFor="let year of years;" colspan="8">
              <div *ngFor="let header of headers">
                {{header}} {{year}}
              </div>
            </th>
          </tr>
          <tr>
            <!-- เป้าหมาย -->
            <th *ngFor="let year of years;">
              <div style="width: 150px;margin-left: auto;margin-right: auto;">{{year}}</div>
            </th>
            <!-- ที่เกิดขึ้นจริง ปี -->
            <ng-container *ngFor="let year of years;">
              <th *ngFor="let sub of subheader;">
                <div *ngIf="sub === '%'" class="table-text-2">
                  {{sub}}
                </div>
                <div *ngIf="sub !== '%'" class="table-text-1">
                  {{sub}}
                </div>
              </th>
            </ng-container>
          </tr>
        </thead>

        <tbody>
          <tr>
            <td class="text-title-table" style="padding-left: 12px;">ปริมาณธุรกรรม</td>
            <td [attr.colspan]="years.length" class="text-title-table"></td>
            <ng-container *ngFor="let year of years;">
              <td colspan="8" class="text-title-table"></td>
            </ng-container>
          </tr>
          <tr *ngFor="let trans of transaction">
            <td class="text-left" style="padding-left: 12px;">{{trans.title}}</td>
            <!-- เป้าหมาย -->
            <ng-container *ngFor="let tranx of trans.tranx;">
              <td>{{tranx}}</td>
            </ng-container>
            <!-- ที่เกิดขึ้นจริง ปี -->
            <ng-container *ngFor="let result of trans.results;">
              <td class="table-text-1">{{result.q1}}</td>
              <td class="table-text-2">{{result.q1Percent}}</td>
              <td class="table-text-1">{{result.q2}}</td>
              <td class="table-text-2">{{result.q2Percent}}</td>
              <td class="table-text-1">{{result.q3}}</td>
              <td class="table-text-2">{{result.q3Percent}}</td>
              <td class="table-text-1">{{result.q4}}</td>
              <td class="table-text-2">{{result.q4Percent}}</td>
            </ng-container>
          </tr>

          <tr>
            <td class="text-title-table" style="padding-left: 12px;">ผลตอบแทน</td>
            <td [attr.colspan]="years.length" class="text-title-table"></td>
            <ng-container *ngFor="let year of years;">
              <td colspan="8" class="text-title-table"></td>
            </ng-container>
          </tr>
          <tr *ngFor="let com of compensation">
            <td style="text-align: left;padding-left: 12px;">{{com.title}}</td>
            <!-- เป้าหมาย -->
            <ng-container *ngFor="let tranx of com.tranx;">
              <td>{{tranx}}</td>
            </ng-container>
            <!-- ที่เกิดขึ้นจริง ปี -->
            <ng-container *ngFor="let result of com.results;">
              <td class="table-text-1">{{result.q1}}</td>
              <td class="table-text-2">{{result.q1Percent}}</td>
              <td class="table-text-1">{{result.q2}}</td>
              <td class="table-text-2">{{result.q2Percent}}</td>
              <td class="table-text-1">{{result.q3}}</td>
              <td class="table-text-2">{{result.q3Percent}}</td>
              <td class="table-text-1">{{result.q4}}</td>
              <td class="table-text-2">{{result.q4Percent}}</td>
            </ng-container>
          </tr>

          <tr>
            <td class="text-title-table" style="padding-left: 12px;">การควบคุม</td>
            <td [attr.colspan]="years.length" class="text-title-table"></td>
            <ng-container *ngFor="let year of years;">
              <td colspan="8" class="text-title-table"></td>
            </ng-container>
          </tr>
          <tr *ngFor="let control of control">
            <td style="text-align: left;padding-left: 12px;">{{control.title}}</td>
            <!-- เป้าหมาย -->
            <ng-container *ngFor="let tranx of control.tranx;">
              <td>{{tranx}}</td>
            </ng-container>
            <!-- ที่เกิดขึ้นจริง ปี -->
            <ng-container *ngFor="let result of control.results;">
              <td class="table-text-1">{{result.q1}}</td>
              <td class="table-text-2">{{result.q1Percent}}</td>
              <td class="table-text-1">{{result.q2}}</td>
              <td class="table-text-2">{{result.q2Percent}}</td>
              <td class="table-text-1">{{result.q3}}</td>
              <td class="table-text-2">{{result.q3Percent}}</td>
              <td class="table-text-1">{{result.q4}}</td>
              <td class="table-text-2">{{result.q4Percent}}</td>
            </ng-container>
          </tr>
        </tbody>
      </table>
    </div><br />
  </div>

  <!-- ------------------------- รายงานตัวชี้วัดด้านการควบคุมเกิน Trigger ที่กำหนด -------------------------- -->
  <br />
  <div class="header-set">
    <div class="part-one-header"><br />
      <div style="width: 88%;"><a>รายงานตัวชี้วัดด้านการควบคุมเกิน Trigger ที่กำหนด</a></div>
    </div>
    <hr class="new4" />

    <div class="table-responsives">
      <table>
        <thead>
          <tr>
            <th>ปี</th>
            <th>ตัวชี้วัด</th>
            <th>เป้าหมาย</th>
            <th>ที่เกิดขึ้นจริง</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let triger of datatriger">
            <td style="text-align: left;">{{triger.year}}</td>
            <td>
              <div style="padding-top: 14px;padding-bottom: 14px;text-align: left;"
                *ngFor="let performance of triger.performance">
                {{performance.title}}
              </div>
            </td>
            <td>
              <div style="padding-top: 14px;padding-bottom: 14px;" *ngFor="let performance of triger.performance">
                {{performance.goal}}
              </div>
            </td>
            <td>
              <div style="padding-top: 14px;padding-bottom: 14px;" *ngFor="let performance of triger.performance">
                {{performance.real}}
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div><br />
  </div>
  <br />
</div><br />
<!-- ----------------------------- End Product Performance ----------------------------- -->

<!-- ------------------------------- รูปแบบผลิตภัณฑ์ - Business Loan ------------------------ -->
<div *ngIf="businessStatus">
  <div class="row">
    <div class="col-md-10">
      <label class="data-text" style="margin-top: 12px">รูปแบบผลิตภัณฑ์ - Business Loan</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
      <label class="showsearch" (click)='showBusinessLoan()' *ngIf="this.showbusinessloan === true">แสดงผลน้อยลง</label>
      <label class="showsearch" (click)='showBusinessLoan()'
        *ngIf="this.showbusinessloan !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
  </div><br />

  <div *ngIf="this.showbusinessloan === true">
    <div class="header-set">
      <app-business-loan [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive'}">
      </app-business-loan>
    </div>
  </div>
</div><br />

<!-- ------------------------------- End รูปแบบผลิตภัณฑ์ - Business Loan ------------------------ -->

<!-- ----------------------------- รูปแบบผลิตภัณฑ์ - Personal Loan ----------------------------- -->
<div *ngIf="personalStatus">
  <div class="row">
    <div class="col-md-10">
      <label class="data-text" style="margin-top: 12px">รูปแบบผลิตภัณฑ์ - Personal Loan</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
      <label class="showsearch" (click)='showPersonalLoan()' *ngIf="this.showpersonalloan === true">แสดงผลน้อยลง</label>
      <label class="showsearch" (click)='showPersonalLoan()'
        *ngIf="this.showpersonalloan !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
  </div><br />

  <div *ngIf="this.showpersonalloan === true">
    <div class="header-set">
      <app-personal-loan [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive' }">
      </app-personal-loan>
    </div>
  </div>
</div><br />
<!-- ----------------------------- End รูปแบบผลิตภัณฑ์ - Personal Loan ----------------------------- -->

<!-- ----------------------------- รูปแบบผลิตภัณฑ์ - Housing Loan ----------------------------- -->
<div *ngIf="housingStatus">
  <div class="row">
    <div class="col-md-10">
      <label class="data-text" style="margin-top: 12px">รูปแบบผลิตภัณฑ์ - Housing Loan</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
      <label class="showsearch" (click)='showHousingLoan()' *ngIf="this.showhousingloan === true">แสดงผลน้อยลง</label>
      <label class="showsearch" (click)='showHousingLoan()'
        *ngIf="this.showhousingloan !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
  </div><br />

  <div *ngIf="this.showhousingloan === true">
    <div class="header-set">
      <app-housing-loan [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive' }">
      </app-housing-loan>
    </div>
  </div>
</div><br />
<!-- ----------------------------- End รูปแบบผลิตภัณฑ์ - Housing Loan ----------------------------- -->

<!-- ----------------------------- รูปแบบผลิตภัณฑ์ - อื่นๆ (Credit) ----------------------------- -->
<div *ngIf="otherStatus">
  <div class="row">
    <div class="col-md-10">
      <label class="data-text" style="margin-top: 12px">รูปแบบผลิตภัณฑ์ - อื่นๆ (Credit)</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
      <label class="showsearch" (click)='showOtherCredit()' *ngIf="this.showothercredit === true">แสดงผลน้อยลง</label>
      <label class="showsearch" (click)='showOtherCredit()'
        *ngIf="this.showothercredit !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
  </div><br />

  <div *ngIf="this.showothercredit === true">
    <div class="header-set">
      <app-other
        [template_manage]="{ role: null , validate: false, caaStatus: 'show', checkNon: 'Credit', pageShow: 'executive' }">
      </app-other>
    </div>
  </div>
</div><br />
<!-- ----------------------------- End รูปแบบผลิตภัณฑ์ - อื่นๆ (Credit) ----------------------------- -->

<!-- ----------------------------- รูปแบบผลิตภัณฑ์ - Non-Credit Product ----------------------------- -->
<div *ngIf="nonCreditStatus">
  <div class="row">
    <div class="col-md-10">
      <label class="data-text" style="margin-top: 12px">รูปแบบผลิตภัณฑ์ - Non-Credit Product</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
      <label class="showsearch" (click)='showNonCredit()' *ngIf="this.shownoncredit === true">แสดงผลน้อยลง</label>
      <label class="showsearch" (click)='showNonCredit()' *ngIf="this.shownoncredit !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
  </div><br />

  <div *ngIf="this.shownoncredit === true">
    <div class="header-set">
      <app-non-credit [template_manage]="{ role: null , validate: false, caaStatus: 'show', pageShow: 'executive'}">
      </app-non-credit>
    </div>
  </div>
</div><br />
<!-- ----------------------------- End รูปแบบผลิตภัณฑ์ - Non-Credit Product ----------------------------- -->

<!-- ----------------------------- รูปแบบผลิตภัณฑ์ - อื่นๆ (Non-Credit Product) ----------------------------- -->
<div *ngIf="otherNonCreditStatus">
  <div class="row">
    <div class="col-md-10">
      <label class="data-text" style="margin-top: 12px">รูปแบบผลิตภัณฑ์ - อื่นๆ (Non-Credit Product)</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
      <label class="showsearch" (click)='showOtherNonCredit()'
        *ngIf="this.showothernoncredit === true">แสดงผลน้อยลง</label>
      <label class="showsearch" (click)='showOtherNonCredit()'
        *ngIf="this.showothernoncredit !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
  </div><br />

  <div *ngIf="this.showothernoncredit === true">
    <div class="header-set">
      <app-other-non-creadit
        [template_manage]="{ role: null , validate: false, caaStatus: 'show', checkNon: 'NonCredit', pageShow: 'executive'}">
      </app-other-non-creadit>
    </div>
  </div>
</div><br />
<!-- ----------------------------- End รูปแบบผลิตภัณฑ์ - อื่นๆ (Non-Credit Product) ----------------------------- -->